## xlog-0.6.1.tar.gz

=== remote/Makefile ===
CC = gcc
CFLAGS = -O2 -Wall -g
TARGETS = sendtoxlog fromxlog

all: $(TARGETS)

sendtoxlog: sendtoxlog.c
	$(CC) $(CFLAGS) -o sendtoxlog sendtoxlog.c

fromxlog: fromxlog.c
	$(CC) $(CFLAGS) -o fromxlog fromxlog.c

clean:
	rm -f *.o $(TARGETS) *~

=== debian/changelog ===
xlog (0.6.1) unstable; urgency=low

  * Minor bugfix release.
  * A bug was fixed which would create a new log in $HOME instead of the
    logging directory.
  * Fix an incorrect display of column titles when printing. Thanks to
    Jean-Luc Coulon (F5IBH), for reporting this.
  * Fixed a small bug when a QSO in the log is selected.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 29 Mar 2002 15:24:13 +0100

xlog (0.6) unstable; urgency=low

  * Migrate to automake 1.5 and gettext 0.10.40.
  * Minor bugfixes. Saving of window size and position now works correctly.
  * Add hamlib support. You must call the configure script with
    '--enable-hamlib', to compile with hamlib. A page has been added to the
    preferences dialog, where hamlib can be activated and a radio and port
    can be selected. The frequency, mode and signal level of your rig can be
    displayed in the statusbar. There will be buttons in the QSO frame, which
    can be clicked to update the corresponding entry.
  * Add a clock. It can be run in the statusbar.
  * The statusbar is now cleared after 30 seconds.
  * The file format is changed, patch by Stephane Fillod. We now have a 
    flexible log format. Top line of the log displays field name and field
    width. Also, 0.4 and 0.5 version files can be read. All log file I/O is
    done with a separate library.
  * When search is selected from the menu (same as Ctrl+f) a dialog is
    displayed where a searchstring can be entered. This is compared with the
    callsigns in the log. In the dialog where the results are displayed, you
    can select a QSO, the corresponding QSO in the log will also be selected.
  * Add Ted Williams' scheme of sharing memory between applications. When a
    call is entered, it will show up in twpsk's send widget (where you type your
    text) when hitting Shift+Alt+h. Shift+Alt+o will show 'hiscall de mycall'.
  * The colors used in the callsign cell of the log and some of the labels
    and frames can now be changed through the preferences dialog. Applying the
    colors to the log is optional because uncoloured logs load a lot faster.
  * Autosave function added, time can be set in minutes through the preferences
    dialog. The log is saved if it has been changed.
  * Multiple logs are here. You can select log->new, log->close and log->open
    from the menu.
  * The logs can be saved to a separate logging directory, configurable through
    the preferences dialog. Also, a list of logs to load at startup can be
    entered. Entering a '*' will load all logs in the logging directory.
  * Danish translations by Alexandru Csete, OZ9AEC.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 11 Mar 2002 08:29:55 +0100

xlog (0.5) unstable; urgency=low

  * Minor bugfixes: fix a log display bug which appeared when first a QSO was 
    added to a unsorted log and then a QSO was deleted. Also, when a log was 
    unsorted, the qso number would not be updated correctly. Fixed a couple
    of memory leaks. Some fixes for the text in the message bar. Better 
    key-handling for the call-entry in the QSO frame. Improvements to the
    sorting routine, when clicking on 'call' in the log.
  * Add 'QSL in' and 'QSL out' fields to the log. When starting the new version
    for the first time a dialog is displayed, so all Out and/or In fields can
    be updated in one go.
  * Printing has been added. You can either print a range or the whole log.
    Printing is done using latex and dvips, so you need to install the tetex
    package. 
  * The generated postscript file is sent to the default printer, but you can
    also print to a file. Files generated are: log.tex, log.dvi and log.ps
    in $HOME/.xlog.
  * Printing can be done in 2 styles: normal style, which prints the log in
    landscape with 30 QSO's per page and shows all columns; contest style
    which prints in portrait with 50 QSO's per page without the remarks field
    and 2 extra empty columns called 'Multiplier' and 'Points'.
  * You can now add, delete and update QSO's with keys: 
    Ctrl-d = add, Ctrl-d = delete and Ctrl-u = update a QSO. The Tab key will
    move around the QSO frame. Ctrl-s will save the log and Ctrl-y will
    clear the QSO frame. PgUp and PgDn will scroll the log and the Up and Down
    Arrow will select the previous and next QSO.
  * The column width of any column in the log is saved in case you change it.
  * Xlog now supports remote logging through by using message queues. Have a
    look at sendtoxlog.c in the remote directory for an example.
  * Added french translations by Jean-Luc Coulon, F5IBH (Thanks!).
  * Add a minimalized window icon.
  * I have added a CREDITS file to list people who helped me getting xlog
    where it is now.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 16 Nov 2001 15:05:38 +0100

xlog (0.4) unstable; urgency=low

  * Major bugfix: xlog would crash when no preferences file is present.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 12 Nov 2001 19:33:46 +0100

xlog (0.3) unstable; urgency=low

  * Changes to the user interface:
    Remove the clear button from the toolbar. Instead, right clicking on the
    QSO frame will show a popup-menu, which allows you to clear all fields.
    Moved the toolbar on top of the QSO frame.
    Statusbar added which tells QSO's added, updated, deleted an many more
    things.
  * Minor bugfixes:
    Set band to 1.8 and mode to CW when clearing the QSO frame.
    Fixed mix-up of band and mode indexes when updating a QSO.
    Fix crash when adding multiple empty QSO's.
  * Include dxcck2di.txt from arrl.org and gc.c by N5OWK for calculating
    bearings and distance to a location.
  * A new frame has been added. Once you enter a call, the prefix is looked
    up and country information is displayed, together with distance and
    beam heading, both for short and long path.
  * Added a preferences menu and dialog, where you can set location (latitude


=== debian/control ===
Source: xlog
Section: hamradio
Priority: optional
Maintainer: Joop Stakenborg <pa3aba@debian.org>
Standards-Version: 3.5.0
Build-Depends: xlibs-dev, libglib1.2-dev, libgtk1.2-dev, debmake, gettext

Package: xlog
Architecture: any
Depends: ${shlibs:Depends}
Description: GTK+ Logging program for Shortwave Hamradio Operators
 xlog is a logging program for amateur radio operators. xlog focuses on hams
 who operate shortwave on a daily basis. Logs are stored into a text file.
 .
 QSO's are presented in a list. Items in the list can be added, deleted or
 updated. For each contact, dxcc information is displayed and bearings and
 distance is calculated, both short and long path.
 .
 When hamlib is enabled through the menu, you can retrieve frequency, mode and
 signal-strength from you rig over the serial port.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xlog

build:
	$(checkdir)
	./configure --enable-hamlib --prefix=/usr --mandir=/usr/share/man
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*bak"`
	-rm -f remote/sendtoxlog
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -rf src/.deps
	-rm -f config.log config.status config.cache

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m 0644 Xlog.desktop debian/tmp/usr/share/gnome/apps/Applications
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m README THANKS TODO
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
